#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QMenu>
#include <QDebug>
#include <QAction>
#include <QListWidget>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    ui->pushButton->setContextMenuPolicy(Qt::ContextMenuPolicy::CustomContextMenu);
    ui->listWidget->setContextMenuPolicy(Qt::CustomContextMenu);
    connect(ui->pushButton, SIGNAL(customContextMenuRequested(const QPoint&)),
            this, SLOT(ShowContextMenu(const QPoint&)));

    connect(ui->listWidget, SIGNAL(customContextMenuRequested(const QPoint&)),
            this, SLOT(ShowContextMenuList(const QPoint&)));
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::CreateContextMenu(const QPoint& point)
{
    QMenu menu;
    QAction* act1 = new QAction("Actiunea 1", this);
    QAction* act2 = new QAction("Actiunea 2", this);

    menu.addAction(act1);
    menu.addAction(act2);
    QAction* action = menu.exec(point);

    if (action == act1)
    {
        ui->label->setText("Actiunea 1");
    }
    else
    {
        ui->label->setText("Actiunea 2");
    }
}

void MainWindow::ShowContextMenu(const QPoint& pos)
{
    QPoint point = ui->pushButton->mapToGlobal(pos);
    CreateContextMenu(point);

}

void MainWindow::ShowContextMenuList(const QPoint &pos)
{
    QPoint point = ui->listWidget->viewport()->mapToGlobal(pos);
    CreateContextMenu(point);
}
