#include "mainwindow.h"

void MainWindow::CreateGUI()
{
    button->setIcon(QIcon(":/Icons/Add-icon.png"));
    button->setText("Adauga");
    label->setText("Numele:");
    hbLayout->addWidget(label);
    hbLayout->addWidget(lineEdit);
    hbLayout->addWidget(button);

    vbLayout->addLayout(hbLayout);
    vbLayout->addWidget(list);

    setLayout(vbLayout);
}

MainWindow::MainWindow(QWidget *parent) :
    QWidget(parent),
    vbLayout {new QVBoxLayout},
    hbLayout {new QHBoxLayout},
    label {new QLabel},//{new QLabel("Nume:")},
    lineEdit {new QLineEdit},
    button {new QPushButton},//{new QPushButton(QIcon(":/Icons/Add-icon.png"),"Adauga")},
    list {new QListWidget}
{
    CreateGUI();

    connect(button, SIGNAL(clicked()),
            this, SLOT(OnButtonClicked()));

    connect(lineEdit, SIGNAL(returnPressed()),
            this, SLOT(AddItem()));

    setGeometry(350, 350, 400, 300);
}

void MainWindow::AddItem()
{
    QString text = lineEdit->text();

    if (text != "")
    {
        list->addItem(text);
        lineEdit->setText("");
    }
}

void MainWindow::OnButtonClicked()
{
    AddItem();
}
